package com.factory.controller.wx;

import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.po.benteler.BentelerPlan;
import com.factory.base.util.res.ResponseBeanBuilder;
import com.factory.wx.entity.req.PlanApprovalReq;
import com.factory.wx.entity.req.PlanInfoReq;
import com.factory.wx.entity.req.PlanPageReq;
import com.factory.wx.entity.res.PlanApprovalDetailRes;
import com.factory.wx.service.PlanApprovalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 微信小程序端计划
 *
 * @author sMArT
 * @version 1.0
 * @date 2021-07-05 3:06 下午
 */
@Api(tags = "微信小程序端")
@RestController
@RequestMapping("/plans/approval")
@Slf4j
public class PlanApprovalController {

    @Autowired
    private PlanApprovalService planApprovalService;

    @ApiOperation(value = "计划审批列表")
    @PostMapping("/list")
    public ResponseBean<PageBean<BentelerPlan>> approvalList(@RequestBody PlanPageReq planPageReq) {
//        Long userId = (Long) request.getAttribute("LOGIN_USER_ID");//获取用户id
        PageBean<BentelerPlan> approvalList = planApprovalService.getApprovalListByPage(planPageReq);
        return ResponseBeanBuilder.ok(approvalList);
    }

    @ApiOperation(value = "计划审批详情-首件")
    @PostMapping("/detail/initial")
    public ResponseBean<PlanApprovalDetailRes> approvalDetail(@RequestBody PlanInfoReq planInfoReq) {
        // TODO
        return ResponseBeanBuilder.ok();
    }

    @ApiOperation(value = "计划审批详情-防错")
    @PostMapping("/detail/pm")
    public ResponseBean<PlanApprovalDetailRes> approvalDetailPM(@RequestBody PlanInfoReq planInfoReq) {
        PlanApprovalDetailRes planApprovalDetailRes = planApprovalService.getApprovalDetail(planInfoReq);
        return ResponseBeanBuilder.ok(planApprovalDetailRes);
    }


    @ApiOperation(value = "计划审批")
    @PostMapping("/operate")
    public ResponseBean approvalOperate(@RequestBody PlanApprovalReq planApprovalReq) {
        return planApprovalService.approvalOperate(planApprovalReq);
    }

}
