package com.factory.wx.service;

import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.po.benteler.BentelerPlan;
import com.factory.wx.entity.req.PlanApprovalReq;
import com.factory.wx.entity.req.PlanInfoReq;
import com.factory.wx.entity.req.PlanPageReq;
import com.factory.wx.entity.res.PlanApprovalDetailRes;
import com.factory.wx.entity.res.PlanApprovalRes;

import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-13 12:13 下午
 */
public interface PlanApprovalService {
    /**
     * 获取审批计划列表
     *
     * @param userId
     * @return
     */
    List<PlanApprovalRes> getApprovalList(Long userId);

    /**
     * 分页显示计划列表
     *
     * @param planPageReq
     * @return
     */
    PageBean<BentelerPlan> getApprovalListByPage(PlanPageReq planPageReq);

    /**
     * 获取审批计划详情
     *
     * @param planInfoReq
     * @return
     */
    PlanApprovalDetailRes getApprovalDetail(PlanInfoReq planInfoReq);

    /**
     * 计划审批
     *
     * @param planApprovalReq
     * @return
     */
    ResponseBean approvalOperate(PlanApprovalReq planApprovalReq);

}
