package com.factory.wx.service.impl;

import com.factory.wx.entity.req.AbnormalPlanReq;
import com.factory.wx.entity.res.AbnormalPlanRes;
import com.factory.wx.mapper.AbnormalStatisticsMapper;
import com.factory.wx.service.AbnormalStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * @author sMArT
 * @version 1.0
 * @date 2021-07-23 1:33 上午
 */
@Service("abnormalStatisticsService")
public class AbnormalStatisticsServiceImpl implements AbnormalStatisticsService {
    @Autowired
    private AbnormalStatisticsMapper abnormalStatisticsMapper;

    /**
     * 根据年月获取异常计划
     *
     * @param abnormalPlanReq
     * @return
     */
    @Override
    public List<AbnormalPlanRes> getExceptionPlansByMonth(AbnormalPlanReq abnormalPlanReq) {
        List<AbnormalPlanRes> releasedAbnormalPlans = new ArrayList<>();
        if (abnormalPlanReq.getAbnormalType() == 1) {
            abnormalStatisticsMapper.getReleasedAbnormalPlans(abnormalPlanReq);
        }
        if (abnormalPlanReq.getAbnormalType() == 2) {
            abnormalStatisticsMapper.getRecheckedAbnormalPlans(abnormalPlanReq);
        }
        return releasedAbnormalPlans;
    }

}
