package com.jihengbel.intelligent.applicationtask.service.impl;

import com.jihengbel.intelligent.applicationtask.entry.FirstCalendar;
import com.jihengbel.intelligent.applicationtask.entry.FirstTask;
import com.jihengbel.intelligent.applicationtask.model.FirstTaskMapper;
import com.jihengbel.intelligent.applicationtask.service.FirstTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

@Service
public class FirstTaskServiceImp implements FirstTaskService {

    @Autowired
    FirstTaskMapper mapper;

    /**
     * 获取对应的规则
     * @param paarm
     * @return
     */
    public List<FirstCalendar> getCalenderFirstForType(Map<String,Object> param){
      return  mapper.getCalenderFirstForType(param);
    }

    /**
     * 添加当天任务
     *
     * @param task
     * @return
     */
    public int insertFirstTask(FirstTask task){
        return  mapper.insertFirstTask(task);
    }

    /**
     * 需要提醒的工作
     * @param param
     * @return
     */
    public List<FirstCalendar> getRemindWork(Map<String,Object> param){
        return mapper.getRemindWork(param);
    }


    /**
     *  更新提醒状态，不太好的写法但是符合现在的需求
     * @param param
     * @return
     */
    public int updateFirstRemindFlag(Map<String,Object> param){
        return mapper.updateFirstRemindFlag(param);
    }

    /**
     * 添加不工作提醒信息
     * @param map
     * @return
     */
    @Transactional(rollbackFor = Throwable.class)
    public int addRemindNowork(Map map){
        int result= mapper.addRemindNowork(map);
        mapper.updateFirstRemindFlag(map);
        return result;
    }

    /**
     * 获取需要提醒人
     * @param map
     * @return
     */
    public Long getRemindNoworkToManager(Map map){
        return mapper.getRemindNoworkToManager(map);
    }


}
